<?php

namespace Iwaydev\Localization\Console;

use Illuminate\Console\Command;
use Iwaydev\Localization\Services\LocalizationService;
use JsonException;
use Psr\Log\LoggerInterface;
use Psr\SimpleCache\InvalidArgumentException;
use Throwable;

/**
 * Class UpdateCommand
 *
 * @package Iwaydev\Localization\Console
 */
class UpdateCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'localization:update';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Обновить переводы';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * @param LocalizationService $localizationService
     *
     * @throws InvalidArgumentException
     * @throws JsonException
     * @throws Throwable
     */
    public function handle(LocalizationService $localizationService)
    {
        $localizationService->updateLocalization();
    }
}
